0.5 Web-Browser und Email-Client installieren

Aus EasyVDR Wiki
Wechseln zu: Navigation, Suche
Easyvdr04.jpg

Voraussetzung

  • Version: easyVDR 0.5
  • Zugang ins Internet
  • Angeschlossener Monitor oder LCD-TV
  • ( geht nicht über Scart/Video Anschluss )

Beschreibung

Im Zeitalter von LCD-TV und einer entsprechenden Bildschirmauflösung kann easyVDR durch die Installation zusätzlicher Software so erweitert werden, dass z.B. ein WEB-Browser und Email-Client benutzt werden kann. In diesem Beispiel werden unter anderem folgende Programme installiert:

  • xorg
  • xfce4
  • firefox
  • thunderbird
  • vlc

Script

Installscript (Der Link zum Script ist ab sofort wieder online)

Inhalt des Scripts

Für die Installation eines funktionierenden XFCE4 sind nur die ersten 4 Zeilen ( apt-get ) wichtig. Der Rest ab .... k3b ist die Programmauswahl die ich mir zusätzlich installiert habe. Wer die nicht benötigt muss im Script die entsprechenden Zeilen löschen.

#!/bin/sh <br/>
# VDR beenden
/usr/bin/stopvdr
# pakete installieren
apt-get update
####################################################################################
apt-get -y --force-yes install xorg
apt-get -y --force-yes install xfce4 
apt-get -y --force-yes install xfprint4 xfce4-mixer xfce4-terminal xfmedia xfce4-appfinder
apt-get -y --force-yes install xfce4-goodies xfce4-mount-plugins xfce4-taskmanager xfce4-xfapplet-plugin
apt-get -y --force-yes install k3b
apt-get -y --force-yes install firefox mozilla-firefox-locale-de-de
apt-get -y --force-yes install thunderbird thunderbird-locale-de
apt-get -y --force-yes install smbclient
apt-get -y --force-yes install mozilla-acroread
apt-get -y --force-yes install printconf
apt-get -y --force-yes install vlc
apt-get -y --force-yes install mozilla-plugin-vlc flashplayer-mozilla
apt-get -y --force-yes install java-gcj-compat java-gcj-compat-plugin
apt-get -y --force-yes install synaptic
apt-get -y --force-yes install xsmbrowser
apt-get -y --force-yes install gftp
apt-get -y --force-yes install numlockx
apt-get -y --force-yes install wput
apt-get -y --force-yes install libgdk-pixbuf2
apt-get -y --force-yes install konqueror 
# Für das nachträgliche Update des XFCE4 werden die hier benötigt
apt-get -y --force-yes install libxdamage-dev libxcomposite-dev libhal-storage-dev libstartup-notification0-dev libvte-dev

Update

Wer dann noch eine neuere Version von XFCE4 installieren will, kann sich das hier herunterladen ( ca 25MB ) XFCE4 - Version 4.4.2 Die geladene Datei ausführbar machen ( chmod 0755 Dateiname ) und starten. Die Nachfragen des Installers einfach alle bestätigen Dann wird ( je nach Rechnerleistung in ca 1 Stunde ) die neue Version kompiliert und installiert.